<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getNextBlackOp](./bitburner.bladeburner.getnextblackop.md)

## Bladeburner.getNextBlackOp() method

Get an object with the name and rank requirement of the next BlackOp that can be completed.

**Signature:**

```typescript
getNextBlackOp(): { name: BladeburnerBlackOpName; rank: number } | null;
```
**Returns:**

{ name: [BladeburnerBlackOpName](./bitburner.bladeburnerblackopname.md)<!-- -->; rank: number } \| null

An object with the `.name` and `.rank` properties of the available BlackOp, or `null`<!-- -->.

## Remarks

RAM cost: 2 GB

Returns the name and rank requirement for the available BlackOp. Returns `null` if no BlackOps remain in the BitNode.

